<?php
include('../../defaults.php');

$required_functions = '';  
$missing_cnt = 0;
$disabled = explode(',', ini_get('disable_functions'));
if (in_array('passthru', $disabled)) {
  $required_functions = 'passthru';
  $missing_cnt++;
}
if (in_array('exec', $disabled)) {
  $required_functions = ($required_functions ? ' and ' : ''). 'exec';
  $missing_cnt++;
}
if ($missing_cnt) {
  echo $required_functions. ' function'.($missing_cnt==2 ? 's' : '').' disabled in php.ini. Check the disable_functions-directive.';
  die();
}

echo 'Command to use with wkhtmltopdf: <code>'.$mydbr_defaults['export']['wkhtmltopdf']['command'].'</code><br>';
ob_start();
passthru($mydbr_defaults['export']['wkhtmltopdf']['command'].' -V', $output);
$out = ob_get_contents();
echo 'Command return value: <code>'.$output.'</code><br>';
echo 'Version info: <code>'.$out.'</code>';
